> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/containers/private-container-registry/artifacts/retrieve-artifact.md).

# Retrieve Artifact

Returns the Artifact by Digest.

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Artifacts","description":"Artifacts are the individual files stored in a repository\nThis tag groups all operations for artifacts.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"ArtifactRead":{"required":["id","type","href","metadata","properties"],"type":"object","properties":{"id":{"$ref":"#/components/schemas/Digest"},"type":{"type":"string","enum":["artifact"]},"href":{"type":"string"},"metadata":{"$ref":"#/components/schemas/ArtifactMetadata"},"properties":{"$ref":"#/components/schemas/Artifact"}}},"Digest":{"type":"string","description":"The digest of the artifact"},"ArtifactMetadata":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"required":["lastPushedAt","pushCount","pullCount"],"type":"object","properties":{"lastPushedAt":{"type":"string","format":"date-time","description":"The date and time the artifact was last pushed"},"lastPulledAt":{"type":"string","format":"date-time","description":"The date and time the artifact was last pulled"},"lastScannedAt":{"type":"string","format":"date-time","description":"The date and time the artifact was last scanned"},"pushCount":{"type":"integer","format":"int64","description":"The number of times the artifact was pushed"},"pullCount":{"type":"integer","format":"int64","description":"The number of times the artifact was pulled"},"vulnMaxSeverity":{"description":"The maximum vulnerability severity of the artifact, if any","allOf":[{"$ref":"#/components/schemas/VulnerabilitySeverity"}]},"vulnTotalScore":{"type":"number","format":"float","description":"The total CVSS score of all vulnerabilities of the artifact"},"vulnTotalCount":{"type":"integer","format":"int64","description":"The total number of vulnerabilities of the artifact"},"vulnFixableCount":{"type":"integer","format":"int64","description":"The number of fixable vulnerabilities of the artifact"}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"VulnerabilitySeverity":{"type":"string","description":"The CVSS vulnerability severity rating"},"Artifact":{"required":["repositoryName","digest","mediaType"],"type":"object","properties":{"repositoryName":{"type":"string"},"digest":{"$ref":"#/components/schemas/Digest"},"tags":{"$ref":"#/components/schemas/Tags"},"mediaType":{"type":"string","description":"The media type of the artifact"}}},"Tags":{"type":"array","items":{"type":"string"},"description":"The tags of an artifact"},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}":{"get":{"operationId":"registriesRepositoriesArtifactsFindByDigest","summary":"Retrieve Artifact","tags":["Artifacts"],"description":"Returns the Artifact by Digest.","parameters":[{"name":"registryId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Registry."},{"name":"repositoryName","in":"path","schema":{"type":"string","maxLength":256},"required":true,"description":"The Name of the Repository."},{"name":"digest","in":"path","schema":{"type":"string","maxLength":128},"required":true,"description":"The Digest of the Artifact."}],"responses":{"200":{"description":"Getting Artifact was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArtifactRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/api-reference/containers/private-container-registry/artifacts/retrieve-artifact.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
